Bug 47965 - [NVC1] brightness adjustments don't work on HP Elitebook 8560w
[NVC1] brightness adjustments don't work on HP Elitebook 8560w
Status: RESOLVED INVALID
Product: xorg
Classification: Unclassified
Component: Driver/nouveau
unspecified
All All
: medium normal
Assigned To: Nouveau Project
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 15:17 UTC by Charles-Antoine Couret
Modified: 2015-01-25 23:14 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg with nouveau and no brightness change (83.38 KB, text/plain)
2012-03-29 09:37 UTC, Charles-Antoine Couret
no flags Details
Xorg.0.log with nouveau and no brightness change (1.20 MB, text/plain)
2012-03-29 09:38 UTC, Charles-Antoine Couret
no flags Details
nVidia Quadro 1000m vbios (63.00 KB, application/octet-stream)
2012-11-12 22:07 UTC, Charles-Antoine Couret
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Charles-Antoine Couret 2012-03-27 15:17:13 UTC
I have this nvidia card :
01:00.0 VGA compatible controller: nVidia Corporation GF108 [Quadro 1000M] (rev
a1)

But I can't modify the brightness, xbacklight or to modify
/sys/class/backlight/acpi_video0/brightness.

And the touch in the keyboard for this is recognize by Gnome 3.2 (an pop-up
with brightness image appears) but nothing, the brightness is the same !

It's very problematic, because it's a laptop and I can't stamp 3 hours of autonomy.
Comment 1 Charles-Antoine Couret 2012-03-27 15:40:21 UTC
I had tested with nVidia's driver, it's possible to change the brightness with it.
Comment 2 Emil Velikov 2012-03-28 13:07:39 UTC
Would you mind attaching your dmesg & Xorg.0.log (text/plain) while using nouveau

It may be worth mentioning what laptop you're using
Comment 3 Charles-Antoine Couret 2012-03-29 09:37:37 UTC
Created attachment 59231 [details]
dmesg with nouveau and no brightness change
Comment 4 Charles-Antoine Couret 2012-03-29 09:38:47 UTC
Created attachment 59232 [details]
Xorg.0.log with nouveau and no brightness change
Comment 5 Charles-Antoine Couret 2012-03-29 09:41:17 UTC
Ok, I have posted theses logs with a test. I have tried to change brightness some seconds before the save of logs…

But the brightness sensors is active and the brightness change with the ambient luminosity.

I use the laptop HP Elitebook 8560w.
Comment 6 Charles-Antoine Couret 2012-11-12 07:46:32 UTC
I would help your to solve this bug, but I don't know how how... Do you need more information ? An another action ?
Comment 7 Emil Velikov 2012-11-12 08:13:04 UTC
Try using "acpi_backlight=vendor" (as a parameter to your kernel command line). It will force the nouveau backlight to be used rather than the ACPI one

Note that there is a similar issue with HP Elitebook 8530w (see bug 39550)
Quick search indicates that HP laptops are quite common with those type of issues

Apart from that can you attach your vbios [1]


[1] http://nouveau.freedesktop.org/wiki/DumpingVideoBios
Comment 8 Charles-Antoine Couret 2012-11-12 22:06:23 UTC
I have tested this option and the result is :
-The brightness didn't change
-The shortcut (Fn+XX) didn't detect by the system, usually the brightness didn't change but Gnome display a bar with the « new » brightness (but it's virtual…).

I post the vbios with the command line :
cat /sys/kernel/debug/dri/0/vbios.rom > vbios.rom 

I tested the tool vbtracetool, but it can't do that and the patch no improve the situation.
Comment 9 Charles-Antoine Couret 2012-11-12 22:07:13 UTC
Created attachment 69964 [details]
nVidia Quadro 1000m vbios
Comment 10 Charles-Antoine Couret 2012-12-04 10:16:45 UTC
Do you need more information ?
I am available if it's necessary. ;)

Thanks in all case.
Comment 11 Ilia Mirkin 2013-08-31 04:05:22 UTC
Is this still an issue, with acpi_backlight=vendor, with the latest kernel?
Comment 12 Tobias Klausmann 2015-01-25 19:28:03 UTC
(In reply to Ilia Mirkin from comment #11)
> Is this still an issue, with acpi_backlight=vendor, with the latest kernel?

I guess it is not after all that time with no answer!

Closing as fixed. Anybody with this problem, feel free to reopen!
Comment 13 Tobias Klausmann 2015-01-25 23:14:51 UTC
Changing to "Resolved Invalid". Its more appropriate, thanks for pointing that out pmoreau!